import 'package:flutter/cupertino.dart';
import 'package:get/get.dart';
import 'package:injectable/injectable.dart';

import '../../base/base_controller.dart';
import '../../data/consts/web_url.dart';
import '../browser/browser_page.dart';

@injectable
class AboutController extends BaseController {
  AboutController();

  clickBack() {
    debugPrint('clickBack');
    Get.back();
  }

  clickPrivacyPolicy() {
    debugPrint('clickPrivacyPolicy');
    BrowserPage.start(WebUrl.privacyPolicy);
  }

  clickServiceAgreement() {
    debugPrint('clickServiceAgreement');
    BrowserPage.start(WebUrl.serviceAgreement);
  }

  clickChildPrivacyPolicy() {
    debugPrint('clickChildPrivacyPolicy');
    BrowserPage.start(WebUrl.kidPolicy);
  }

  clickThirdParty() {
    debugPrint('clickThirdParty');
    BrowserPage.start(WebUrl.thirdPartyList);
  }

  clickPersonalInformation() {
    debugPrint('clickPersonalInformation');
    BrowserPage.start(WebUrl.personalInformationList);
  }


}
